Package be.fgov.ehealth.certra.protocol.v2

# Class GetGenericOrganizationTypesResponse

java.lang.Object
be.fgov.ehealth.commons.protocol.v2.ResponseType
be.fgov.ehealth.commons.protocol.v2.StatusResponseType
be.fgov.ehealth.certra.protocol.v2.GetGenericOrganizationTypesResponse

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:10:04+02:00", comments="JAXB RI v4.0.5") public class GetGenericOrganizationTypesResponse extends StatusResponseType implements Serializable
The list of all organization types that are accepted by the web service. Only certificate requests for organizations that match one of the types in this list and passes the associated validation rules will be accepted.

Java class for GetGenericOrganizationTypesResponseType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="GetGenericOrganizationTypesResponseType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:commons:protocol:v2}StatusResponseType">
           <sequence minOccurs="0">
             <element name="OrganizationType" type="{urn:be:fgov:ehealth:certra:core:v2}OrganizationIdentifierType" maxOccurs="unbounded"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GetGenericOrganizationTypesResponse()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<OrganizationIdentifierType>`
  `getOrganizationTypes()`
  Details about each type of organization accepted by the web service.

  ### Methods inherited from class be.fgov.ehealth.commons.protocol.v2.StatusResponseType

  `getStatus, setStatus`

  ### Methods inherited from class be.fgov.ehealth.commons.protocol.v2.ResponseType

  `getId, getInResponseTo, getIssueInstant, setId, setInResponseTo, setIssueInstant`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### GetGenericOrganizationTypesResponse

    public GetGenericOrganizationTypesResponse()

- ## Method Details

  - ### getOrganizationTypes

    public List<OrganizationIdentifierType> getOrganizationTypes()
    Details about each type of organization accepted by the web service. It describes the organization type together with its validation rules, this can help web service clients with validating the input of the users. Gets the value of the organizationTypes property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the organizationTypes property.

    For example, to add a new item, do as follows:

         getOrganizationTypes().add(newItem);

    Objects of the following type(s) are allowed in the list `OrganizationIdentifierType`

    Returns:
      The value of the organizationTypes property.